Show / Hide Table of Contents

# Struct RaycastHit

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Common.Component.BGCollision

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct RaycastHit

### Fields

| Improve this Doc View Source

#### Distance

##### Declaration

    public float Distance

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Flags

##### Declaration

    public int Flags

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Object

##### Declaration

    public Object*Object

##### Field Value

Type | Description
--- | ---
Object* |

| Improve this Doc View Source

#### Point

##### Declaration

    public Vector3 Point

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector3 |

| Improve this Doc View Source

#### Unk30

##### Declaration

    public Vector3 Unk30

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector3 |

| Improve this Doc View Source

#### Unk40

##### Declaration

    public int Unk40

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### V1

##### Declaration

    public Vector3 V1

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector3 |

| Improve this Doc View Source

#### V2

##### Declaration

    public Vector3 V2

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector3 |

| Improve this Doc View Source

#### V3

##### Declaration

    public Vector3 V3

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector3 |